Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
dependents
List dependents
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/dependents \
  --header 'Authorization: Basic <encoded-value>'
{
  "dependents": [
    {
      "dependent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "Emma",
      "last_name": "Smith",
      "relationship": "child",
      "date_of_birth": "2015-03-15",
      "financial_support_until": "2023-12-25",
      "has_education_plans": true,
      "estimated_education_cost": "150000.00",
      "covered_by_health_insurance": true,
      "has_special_needs": true,
      "linked_goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "linked_goal": {
        "goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "goal_type": "<string>",
        "target_amount": "<string>"
      },
      "notes": "<string>",
      "metadata": {},
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

The investor account ID

Query Parameters

status
enum<string>

Filter by dependent status

Available options:
active,
inactive,
deceased
relationship
enum<string>

Filter by relationship type

Available options:
child,
spouse,
partner,
parent,
grandchild,
sibling,
other
has_education_plans
boolean

Filter dependents with education plans

Response

List of dependents

dependents
object[]
total_count
integer